Debian Bug report logs - #383960
RM: netkit-base -- RoQA; obsolete; no rev-deps

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Roger Leigh <rleigh@debian.org>

Date: Mon, 21 Aug 2006 00:48:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#383960; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@debian.org>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: netkit-base; abandoned, obsolete, no reverse dependencies
Date: Mon, 21 Aug 2006 01:22:20 +0100
Package: ftp.debian.org
Severity: normal

Please could you remove netkit-base (netkit-inetd, netkit-ping) from
unstable (and testing once this is possible)?

netkid-base is:

* abandoned upstream for many years
* unmaintained in Debian for two years
* does not build from unpatched upstream source
* upstream source is of poor quality
* it will never support IPv6
* netkit-inetd is superceded in testing and unstable by openbsd-inetd
* netkit-inetd now has no reverse dependencies (other than an alternative
  depends in ltsp-server, which is being dealt with; this should not
  prevent removal.  See #382681 for more detail).
* netkit-ping has three reverse dependencies (mrtg-ping-probe,
  heartbeat, heartbeat-2) but all are alternative dependencies.  I will
  be filing bugs against these three packages, but all allow
  iputils-ping as the alternative.


Regards,
Roger


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-1-powerpc
Locale: LANG=en_GB.UTF8, LC_CTYPE=en_GB.UTF8 (charmap=UTF-8)



Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#383960; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #12 received at 383960@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 383960@bugs.debian.org, Anthony Towns <ajt@debian.org>
Subject: Removing netkit-base from unstable/testing?
Date: Sat, 04 Nov 2006 18:25:55 +0100
[Message part 1 (text/plain, inline)]
Hi

What do you think as maintainer, should netkit-base be removed from the
archive? Should it not be included in etch?

Are there any preconditions?

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#383960; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@whinlatter.ukfsn.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #17 received at 383960@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@whinlatter.ukfsn.org>
To: 383960@bugs.debian.org
Subject: Re: Bug #383960: RM: netkit-base -- RoQA; obsolete; no rev-deps
Date: Thu, 09 Nov 2006 22:56:10 +0000
[Message part 1 (text/plain, inline)]
Hi,

Since the NMUs of heartbeat and heartbeat-2, netkit-base no longer has
any dependencies in unstable, even optional alternative dependencies.
The only remaining control data is for upgrading to replacement
implementations.

It should now be possible to remove without any problems.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Roger Leigh <rleigh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 383960-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 383960-close@bugs.debian.org
Cc: netkit-base@packages.debian.org, netkit-base@packages.qa.debian.org
Subject: Bug#383960: fixed
Date: Wed, 13 Dec 2006 15:00:11 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

netkit-base |  0.10-10.3 | source
netkit-inetd |  0.10-10.3 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
netkit-ping |  0.10-10.3 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 383960@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Anthony Towns (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 11:43:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:12:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.